%if 0%{?fedora} > 12
%global with_python3 1
%else
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
%endif

Name:           python-markups
Version:        0.6.3
Release:        4%{?dist}
License:        BSD
Summary:        A wrapper around various text markups
URL:            https://pypi.python.org/pypi/Markups
Source0:        http://pypi.python.org/packages/source/M/Markups/Markups-%{version}.tar.gz

BuildRequires:  python2-devel
BuildRequires:  python-docutils
BuildRequires:  python-markdown
BuildRequires:  python-setuptools
BuildRequires:  python-textile
Requires:       python-docutils
Requires:       python-markdown
Requires:       python-textile
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-docutils
BuildRequires:  python3-markdown
BuildRequires:  python3-setuptools
BuildRequires:  python3-textile
%endif # if with_python3

BuildArch:      noarch

%description
This module provides a Python 2 wrapper around the various text markup
languages, such as Markdown and reStructuredText (these two are supported
by default).

%if 0%{?with_python3}
%package -n python3-markups
Summary:        A wrapper around various text markups

Requires:       python3-docutils
Requires:       python3-markdown
Requires:       python3-textile

%description -n python3-markups
This module provides a Python 3 wrapper around the various text markup
languages, such as Markdown and reStructuredText (these two are supported
by default).

%endif # with_python3

%prep
%setup -q -n Markups-%{version}

# The source tarball contains a bundled egg-info.
rm -rf Markups.egg-info

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3

%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3

%install

# Must do the python3 install first because the scripts in /usr/bin
# (if any) are overwritten with every setup.py install (and we want
# the python2 version to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root $RPM_BUILD_ROOT
popd
%endif # with_python3

%{__python2} setup.py install --skip-build --root $RPM_BUILD_ROOT

%check
#%%{__python2} setup.py test

#%%if 0%%{?with_python3}
#pushd %%{py3dir}
#%%{__python3} setup.py test
#popd
#%%endif # with_python3


%files
%doc changelog README.rst
%license LICENSE
%{python2_sitelib}/*

%if 0%{?with_python3}
%files -n python3-markups
%doc changelog README.rst
%license LICENSE
%{python3_sitelib}/* 
%endif # with_python3

%changelog
* Sat Sep 26 2015 Mario Blättermann <mario.blaettermann@gmail.com> - 0.6.3-4
- Yet some more runtime requirements

* Thu Sep 24 2015 Mario Blättermann <mario.blaettermann@gmail.com> - 0.6.3-3
- Fix runtime requirements

* Tue Sep 22 2015 Mario Blättermann <mario.blaettermann@gmail.com> - 0.6.3-2
- Add python-docutils as runtime requirement

* Fri Sep 11 2015 Mario Blättermann <mario.blaettermann@gmail.com> - 0.6.3-1
- New upstream version
- Disable the tests for now

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Dec 31 2014 Mario Blättermann <mario.blaettermann@gmail.com> - 0.5.2-4
- Fix the disttag
- Remove LICENSE from %%doc in the python3 package

* Tue Dec 30 2014 Mario Blättermann <mario.blaettermann@gmail.com> - 0.5.2-3
- Use the %%license macro

* Sat Dec 06 2014 Mario Blättermann <mario.blaettermann@gmail.com> - 0.5.2-2
- Some cleanup due to rpmlint warnings

* Sun Nov 30 2014 Mario Blättermann <mario.blaettermann@gmail.com> - 0.5.2-1
- New upstream version
- Enable both Python 2 and 3

* Sun May 05 2013 Huaren Zhong <huaren.zhong@gmail.com> - 0.2.4
- Rebuild for Fedora

* Wed Feb  6 2013 saschpe@suse.de
- Completely redone spec file

* Sat Feb  2 2013 i@marguerite.su
- initial version 0.2.4
